#!/bin/zsh
pathfile="${ZUC}/path"
fpathfile="${ZUC}/fpath"
cdpathfile="${ZUC}/cdpath"
manpathfile="${ZUC}/manpath"
aliasfile="${ZUC}/alias"

echo "${ZUL}/bin" > $pathfile
echo "${ZUL}/share" > $fpathfile
echo "" > $cdpathfile
echo "" > $manpathfile
echo "" > $aliasfile

for p in "${path[@]}"; do echo "$p" >> $pathfile; done
for p in "${fpath[@]}"; do echo "$p" >> $fpathfile; done
for p in "${cdpath[@]}"; do echo "$p" >> $cdpathfile; done
for p in "${manpath[@]}"; do echo "$p" >> $manpathfile; done

# Fix for alias
unalias -- - &>/dev/null

IFS=$'\n'; for a in `alias`; do echo "alias $a\n" >> $aliasfile; done

cd ${ZUL}/core/
./build.zsh

if test ! -e ${ZUL}/share/_zulu; then ln -s ${ZUL}/core/zulu.zsh-completion ${ZUL}/share/_zulu; fi
